<?xml version="1.0" encoding="UTF-8" ?>
<datasources xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xmlns="http://www.jboss.org/ironjacamar/schema"
             xsi:schemaLocation="http://www.jboss.org/ironjacamar/schema http://docs.jboss.org/ironjacamar/schema/datasources_1_0.xsd">
    <datasource jndi-name="java:jboss/datasources/OmniDoc"
                pool-name="OmniDoc" enabled="true"
                use-java-context="true">

        <!-- Datasource in %USERPROFILE\data or in docker container -->
        <!--<connection-url>jdbc:h2:file:~/data/OmniDoc</connection-url>-->

        <!--When Using H2 Database in Server Mode with:-->
        <!--cd %JBOSS_HOME%/modules/system/layers/base/com/h2database/h2/main-->
        <!--java -cp h2-1.4.193.jar org.h2.tools.Server -->
        <!--Optional Parameters: -tcp -tcpAllowOthers -webAllowOthers -webPort 8082-->
        <!--<connection-url>jdbc:h2:tcp://localhost/~/data/OmniDoc</connection-url>-->
        <!--<driver>h2</driver>-->

        <!-- MySQL Datasource-->
        <connection-url>jdbc:mysql://mysql-standalone:3306/OmniDoc</connection-url>
        <driver>mysql</driver>

        <security>
            <user-name>sa</user-name>
            <password>sa</password>
        </security>

    </datasource>
</datasources>
